VERSION 5.00
Begin VB.Form FrmTransparent 
   BackColor       =   &H80000013&
   Caption         =   "Transparent Form"
   ClientHeight    =   3465
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   4200
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   231
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   280
End
Attribute VB_Name = "FrmTransparent"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'******************************************************************************************
'*  This software and documentation is the confidential and proprietary                   *
'*  information of Vipin P Shetty. ("Confidential Information").                          *
'*                                                                                        *
'*  Vipin (SHETTY2000.COM) MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY   *
'*  OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE          *
'*  IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR                       *
'*  PURPOSE, OR NON-INFRINGEMENT. VIPIN (SHETTY2000.COM) SHALL NOT BE LIABLE FOR ANY      *
'*  DAMAGES SUFFERED BY USER  AS A RESULT OF USING OR MODIFYING THIS SOFTWARE OR ITS.     *
'*  DERIVATIVES                                                                           *
'*                                                                                       *
'*                                                                                        *
'*  Developed by Vipin Shetty (Someday Shetty2000.com)                                    *
'*  1012, 8 Main, 7 Sector,                                                               *
'*  HSR Layout, Koramangala ,                                                             *
'*  Bangalore - 560 095                                                                   *
'*  E-Mail -  shetty2000@hotmail.com; vipinshetty@hotmail.com                             *
'*  Web Address - http://members.tripod.com/~vipinshetty                                  *
'*  Copyright (c) 1997, 1998 Vipin Shetty (SHETTY2000.COM).                               *
'******************************************************************************************

Option Explicit

Private Declare Function CreateRectRgn Lib "gdi32" (ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, ByVal Y2 As Long) As Long
Private Declare Function CombineRgn Lib "gdi32" (ByVal hDestRgn As Long, ByVal hSrcRgn1 As Long, ByVal hSrcRgn2 As Long, ByVal nCombineMode As Long) As Long
Private Declare Function SetWindowRgn Lib "user32" (ByVal hWnd As Long, ByVal hRgn As Long, ByVal bRedraw As Long) As Long

Private Sub Form_Resize()
Const RGN_DIFF = 4

Dim M_Outer_Ring As Long
Dim M_Inner_Ring As Long
Dim M_Combined_Ring As Long
Dim M_Widht As Single
Dim M_Height As Single
Dim M_Border_Width As Single
Dim M_Title_Height As Single

    If WindowState = vbMinimized Then Exit Sub
    
    M_Widht = ScaleX(Width, vbTwips, vbPixels)
    M_Height = ScaleY(Height, vbTwips, vbPixels)
    M_Outer_Ring = CreateRectRgn(0, 0, M_Widht, M_Height)
    
    M_Border_Width = (M_Widht - ScaleWidth) / 2
    M_Title_Height = M_Height - M_Border_Width - ScaleHeight
    M_Inner_Ring = CreateRectRgn( _
        M_Widht * 0.25, M_Height * 0.25, _
        M_Widht * 0.75, M_Height * 0.75)

    M_Combined_Ring = CreateRectRgn(0, 0, 0, 0)
    CombineRgn M_Combined_Ring, M_Outer_Ring, _
        M_Inner_Ring, RGN_DIFF
    
    SetWindowRgn hWnd, M_Combined_Ring, True
End Sub


